Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ProcessControl

All Superinterfaces:
  ServiceProxy

    public interface ProcessControl

extends ServiceProxy

The process control is used to call a sub-process from a parent process. Sub-process callbacks are routed to the caller process. The sub-process must be in the same domain as the caller. The invocation is dispatched internally over RMI without going thru http. If the target process is versioned, the actual version invoked depends on the version strategy of the caller (as specified by the jpd:version annotation). The process control runtime properties can be configured externally through dynamic properties and xquery selectors. Following annotations/beehive property sets are allowed on process control (class, method etc.) Look at individual property set declarations for valid annotation targets com.bea.wli.common.control.Location (jc:location in 8.x) com.bea.wli.common.Conversation (jc:conversation in 8.x) - if not specified phase=none for callout and phase=continue for callback com.bea.wli.common.control.Selector (jc:selector in 8.x - deprecated as of 8.4)

Method Summary
`String` | `getConversationID()` Returns the conversation ID currently associated with this control or null.
`com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument` | `getProperties()` Returns the current control properties.
`String` | `getQueueConnFactory()` Returns queue connection factory jndiName or null if not specified
`URI` | `getTargetURI()` Returns the target URI or null if not assigned.
`String` | `getUsername()` Gets credential information.
`void` | `reset()` Resets the conversational state of the proxy; this could result in dropping an existing conversation.
`void` | `setConversationID(String conversationID)` Manual control over conversation ID
`void` | `setPassword(String password)` Sets credential information.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)` Sets the dynamic properties for the control
`void` | `setQueueConnFactory(String jndiName)` Sets the queue connection factory for the control
`void` | `setTargetURI(URI uri)` Manual control over the target uri.
`void` | `setUsername(String username)` Sets credential information.

Method Detail

### setConversationID

    void setConversationID(String conversationID)

  Manual control over conversation ID

  Parameters:
    `conversationID` -

### getConversationID

    String getConversationID()

  Returns the conversation ID currently associated with this control or null.

  Returns:
    conversation id

### setTargetURI

    void setTargetURI(URI uri)
                      throws ProcessControlException

  Manual control over the target uri.

  Parameters:
    `uri` -
  Throws:
    `ControlException` - if the caller process has "tightly-coupled" versioning semantics.
    `ProcessControlException`

### getTargetURI

    URI getTargetURI()

  Returns the target URI or null if not assigned.

  Returns:
    target uri

### setUsername

    void setUsername(String username)

  Sets credential information.

  Parameters:
    `username` -

### setPassword

    void setPassword(String password)

  Sets credential information.

  Parameters:
    `password` -

### getUsername

    String getUsername()

  Gets credential information.

  Returns:
    username

### reset

    void reset()

  Resets the conversational state of the proxy; this could result in dropping an existing conversation.

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)
                       throws ProcessControlException

  Sets the dynamic properties for the control

  Parameters:
    `props` - the dynamic properties for the control
  Throws:
    `ProcessControlException`

### getProperties

    com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument getProperties()

  Returns the current control properties. Note that this does not include username/password.

  Returns:
    the properties

### setQueueConnFactory

    void setQueueConnFactory(String jndiName)

  Sets the queue connection factory for the control

  Parameters:
    `jndiName` -

### getQueueConnFactory

    String getQueueConnFactory()

  Returns queue connection factory jndiName or null if not specified

  Returns:
    jndiName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD